# Class: MaiaRecorder

## MaiaRecorder(options) → {object}

#### new MaiaRecorder(options) → {object}

MaiaScript screen recorder library.

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | object | Object containing options for configuring the recorder. It can be: startButton, pauseButton, stopButton, playButton, saveButton, videoPlayer, fileNamePrefix, mimeType.

Source:
  - recorder.maia, line 23

##### Returns:

Screen recorder object.

Type
  object

### Methods

#### (static) getFilename() → {object}

Return the file name for the captured video.

Source:
  - recorder.maia, line 107

##### Returns:

File name for the captured video.

Type
  object

#### (static) mixTracks(trackA, trackB) → {object}

Mixes two audio tracks and the first video track found.

##### Parameters:

Name | Type | Description
--- | --- | ---
`trackA` | object | Track A.
`trackB` | object | Track B.

Source:
  - recorder.maia, line 74

##### Returns:

Video stream containing mixed audio and video tracks.

Type
  object

#### (static) pauseRecording() → {object}

Pause recording screen.

Source:
  - recorder.maia, line 223

##### Returns:

Screen recording paused.

Type
  object

#### (static) playRecording() → {object}

Plays the recording.

Source:
  - recorder.maia, line 243

##### Returns:

The recorded video is played.

Type
  object

#### (static) saveRecording() → {object}

Saves the recording.

Source:
  - recorder.maia, line 274

##### Returns:

The recorded video is saved.

Type
  object

#### (static) startRecording() → {object}

Start recording screen.

Source:
  - recorder.maia, line 121

##### Returns:

Screen recording started.

Type
  object

#### (static) stopRecording() → {object}

Stop recording screen.

Source:
  - recorder.maia, line 198

##### Returns:

Screen recording stopped.

Type
  object